﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
//Custom include for RoboRace
using System.IO;
using System.Net;
using System.Drawing.Drawing2D;

namespace WindowsFormsApplication1
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        string server = "127.0.0.1";
        int game = 0, port = 8000;
        int x, y;
        string[,] map = new string[20, 20];
        string[,] map1 = new string [20, 1];
        int plochax = 20, plochay = 20;
        private void Form1_Load(object sender, EventArgs e)
        {
            
        }

        private void textBox1_TextChanged(object sender, EventArgs e)
        {

        }
        private void generatebox(string data)
        {
            this.checkedListBox1.Items.Clear();
            Random random = new Random();
            for (int i = 9; i != 0; i--)
            {
                string action = "";
                int numberrandomed = random.Next(1, 6);
                if (numberrandomed == 1) action = "Vpřed";
                if (numberrandomed == 2) action = "Vpřed (2x)";
                if (numberrandomed == 3) action = "Vpřed (3x)";
                if (numberrandomed == 4) action = "Doleva";
                if (numberrandomed == 5) action = "Doprava";
                if (numberrandomed == 6) action = "Ustoupit";
                this.checkedListBox1.Items.Add(action);
            }            
        }
        private void startGame(object sender, EventArgs e)
        {            
            Uri page = new Uri("http://"+server+":"+port.ToString()+"/start");
            WebRequest request = WebRequest.Create(page);
            WebResponse response = request.GetResponse();
            Stream responsestream = response.GetResponseStream();
            StreamReader steamread = new StreamReader(responsestream, Encoding.ASCII);
            draw();
        }

        private void updateGameStatus(int id, string move)
        {
            Uri page = new Uri(server + port.ToString() + "/kolo?id="+id.ToString()+"&pohyby="+move);
            WebRequest request = WebRequest.Create(page);
            WebResponse response = request.GetResponse();
            Stream responsestream = response.GetResponseStream();
            StreamReader steamread = new StreamReader(responsestream, Encoding.ASCII);
        }
        private void gameParse(StreamReader GameData)
        {
            string gameid = GameData.ReadLine();
            game = System.Int32.Parse(gameid);
            for (int i = 20; i != 0; i--)
            { 
                map[i,1] = GameData.ReadLine(); 
            }
            string position = GameData.ReadLine();
            string moves = GameData.ReadLine();
            generatebox(moves);
        }
        private void draw()
        { 
            System.Drawing.Graphics graphicsObj;
            graphicsObj = this.CreateGraphics();
            Pen myPen = new Pen(System.Drawing.Color.Red, 5);

            for (int i = plochax; i != 0; i--)
            {                
                for (int y = plochay; y != 0; y--)
                {
                    Rectangle myRectangle = new Rectangle(25 * i, 25 * y, 25 * i, 25 * y);
                    graphicsObj.DrawRectangle(myPen, myRectangle);
                    Font myFont = new System.Drawing.Font("Helvetica", 12, FontStyle.Italic);
                    Brush myBrush = new SolidBrush(System.Drawing.Color.Red);
                    graphicsObj.DrawString(i.ToString(), myFont, myBrush, 25 * i, 25*y);  
                }
            }
        }

        private void ukončitToolStripMenuItem_Click(object sender, EventArgs e)
        {
            this.Close();
        }

        private void button1_Click(object sender, EventArgs e)
        {

        }
    }
}
